package com.ssj.service.conch.parents.v1.dto;

import com.ssj.service.conch.student.dto.RelateKnowledgeDto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class CorrectDetailDto4 implements Serializable {

    private static final long serialVersionUID = -3462601718894967388L;

    private String subject;
    private String homeworkId;
    private String homeworkTime;
    private String correctTeacherId;
    private Integer correctionStatus = 0;
    private List<HomeworkPictureDto> homeworkList = new ArrayList<>();
    private List<HomeworkCommentDto2> homeworkCommentList = new ArrayList<>();
    private List<Map<String, Object>> wrongItemList = new ArrayList<>();
    private Integer wrongQuestionCount = 0;
    private List<RelateKnowledgeDto> relateKnowledgeList = new ArrayList<>();
    private List<String> unfinishedList = new ArrayList<>();

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getCorrectTeacherId() {
        return correctTeacherId;
    }

    public void setCorrectTeacherId(String correctTeacherId) {
        this.correctTeacherId = correctTeacherId;
    }

    public Integer getCorrectionStatus() {
        return correctionStatus;
    }

    public void setCorrectionStatus(Integer correctionStatus) {
        this.correctionStatus = correctionStatus;
    }

    public List<HomeworkPictureDto> getHomeworkList() {
        return homeworkList;
    }

    public void setHomeworkList(List<HomeworkPictureDto> homeworkList) {
        this.homeworkList = homeworkList;
    }

    public List<HomeworkCommentDto2> getHomeworkCommentList() {
        return homeworkCommentList;
    }

    public void setHomeworkCommentList(List<HomeworkCommentDto2> homeworkCommentList) {
        this.homeworkCommentList = homeworkCommentList;
    }

    public List<Map<String, Object>> getWrongItemList() {
        return wrongItemList;
    }

    public void setWrongItemList(List<Map<String, Object>> wrongItemList) {
        this.wrongItemList = wrongItemList;
    }

    public Integer getWrongQuestionCount() {
        return wrongQuestionCount;
    }

    public void setWrongQuestionCount(Integer wrongQuestionCount) {
        this.wrongQuestionCount = wrongQuestionCount;
    }

    public List<RelateKnowledgeDto> getRelateKnowledgeList() {
        return relateKnowledgeList;
    }

    public void setRelateKnowledgeList(List<RelateKnowledgeDto> relateKnowledgeList) {
        this.relateKnowledgeList = relateKnowledgeList;
    }

    public List<String> getUnfinishedList() {
        return unfinishedList;
    }

    public void setUnfinishedList(List<String> unfinishedList) {
        this.unfinishedList = unfinishedList;
    }

    public String getHomeworkTime() {
        return homeworkTime;
    }

    public void setHomeworkTime(String homeworkTime) {
        this.homeworkTime = homeworkTime;
    }
}
